Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWSpreadsheetListenerInternal::DocumentState Struct Reference

a class to store the document state of a MWAWSpreadsheetListener More...

## Public Member Functions
| DocumentState (std::vector< MWAWPageSpan > const &pageList)
| constructor More...
| ~DocumentState ()
| destructor More...

## Public Attributes
std::vector< MWAWPageSpan > | m_pageList
| the pages definition More...
MWAWPageSpan | m_pageSpan
| the current page span More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
int | m_footNoteNumber
| footnote number More...
int | m_smallPictureNumber
| number of small picture More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isSheetOpened
| a flag to know if a sheet is open More...
bool | m_isSheetRowOpened
| a flag to know if a row is open More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::map< MWAWCell::Format, int, MWAWCell::CompareFormat > | m_numberingIdMap
| a map cell's format to id More...
std::vector< MWAWSubDocumentPtr > | m_subDocuments
MWAWSection | m_section
| list of document actually open More...

## Private Member Functions
| DocumentState (const DocumentState &)=delete
DocumentState & | operator= (const DocumentState &)=delete

## Detailed Description

a class to store the document state of a MWAWSpreadsheetListener

## Constructor & Destructor Documentation

## ◆ DocumentState() [1/2]

MWAWSpreadsheetListenerInternal::DocumentState::DocumentState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |
| inline explicit

constructor

## ◆ ~DocumentState()

MWAWSpreadsheetListenerInternal::DocumentState::~DocumentState | ( |  | ) |
| inline

destructor

## ◆ DocumentState() [2/2]

MWAWSpreadsheetListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

DocumentState& MWAWSpreadsheetListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_footNoteNumber

int MWAWSpreadsheetListenerInternal::DocumentState::m_footNoteNumber

footnote number

## ◆ m_isDocumentStarted

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

## ◆ m_isSheetOpened

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isSheetOpened

a flag to know if a sheet is open

## ◆ m_isSheetRowOpened

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isSheetRowOpened

a flag to know if a row is open

## ◆ m_metaData

librevenge::RVNGPropertyList MWAWSpreadsheetListenerInternal::DocumentState::m_metaData

the document meta data

## ◆ m_numberingIdMap

std::map<MWAWCell::Format,int,MWAWCell::CompareFormat> MWAWSpreadsheetListenerInternal::DocumentState::m_numberingIdMap

a map cell's format to id

## ◆ m_pageList

std::vector<MWAWPageSpan> MWAWSpreadsheetListenerInternal::DocumentState::m_pageList

the pages definition

## ◆ m_pageSpan

MWAWPageSpan MWAWSpreadsheetListenerInternal::DocumentState::m_pageSpan

the current page span

## ◆ m_section

MWAWSection MWAWSpreadsheetListenerInternal::DocumentState::m_section

list of document actually open

empty section used by getSection() to return a section

## ◆ m_sentListMarkers

std::vector<int> MWAWSpreadsheetListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

## ◆ m_smallPictureNumber

int MWAWSpreadsheetListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

## ◆ m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWSpreadsheetListenerInternal::DocumentState::m_subDocuments

The documentation for this struct was generated from the following file:

- MWAWSpreadsheetListener.cxx